package uy.edu.chesstrack.communication;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;
import java.net.UnknownHostException;

import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.util.Log;
import android.widget.TextView;

public class Server {

	private static final String TAG = "SERVER";
	private ServerSocket serverSocket;
	private Socket clientSocket;
	private BufferedReader input;
	private DataOutputStream output;

	public static final int SERVERPORT = 5555;

	public Server(String serverIp) {
		clientSocket = null;
		try {
			serverSocket = new ServerSocket(SERVERPORT);
			clientSocket = serverSocket.accept();
			this.input = new BufferedReader(new InputStreamReader(this.clientSocket.getInputStream()));
			String read = input.readLine();
			Log.i(TAG, "line="+ read);
			
			this.output = new DataOutputStream(this.clientSocket.getOutputStream());
			this.output.writeBytes(new String("AYLEN RICCA"));//(read.toCharArray());

		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public void SendData() {
		try {
			serverSocket.close();
			clientSocket.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public void Stop() {
		try {
			serverSocket.close();
			clientSocket.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}